Recommended update for yast2-nfs-client

SUSE Recommended Update: Recommended update for yast2-nfs-client
Announcement ID: SUSE-RU-2020:0530-1
Rating: moderate
References: #1006815 #1060159 #1149754 #1151426 #1156446 #1161687
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1
  • SUSE Linux Enterprise Installer 15-SP1

An update that has 6 recommended fixes can now be installed.

Description:

This update for yast2-nfs-client fixes the following issues:

  • Avoids displaying phantom NFS entries adding an action to refresh the UI. (bsc#1156446)
  • Delegates mount/unmount actions to yast2-storage-ng. (bsc#1006815)
  • Keeps mount point status for existing shares. (bsc#1151426)
  • Neglect unmounted mount entries. (bsc#1060159)
  • Kill rpcbind process if it was directly executed without using systemd. (bsc#1161687)

This update for yast2-storage-ng fixes the following issues:
  • Improve integration with yast2-nfs-client. (bsc#1006815, bsc#1151426)

This update for libstorage-ng fixes the following issues:
  • Translated using Weblate (Finnish, Estonian). (bsc#1149754)
  • Allow optional fstab columns and ensure 0 as default value for omitted columns.
  • Un/mount when mount point is/was active.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-530=1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-530=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-530=1
  • SUSE Linux Enterprise Installer 15-SP1:
    zypper in -t patch SUSE-SLE-INSTALLER-15-SP1-2020-530=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.107-4.11.8
    • libstorage-ng-debugsource-4.1.107-4.11.8
    • libstorage-ng-integration-tests-4.1.107-4.11.8
    • libstorage-ng-python3-4.1.107-4.11.8
    • libstorage-ng-python3-debuginfo-4.1.107-4.11.8
  • SUSE Linux Enterprise Module for Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.107-4.11.8
    • libstorage-ng-debugsource-4.1.107-4.11.8
    • libstorage-ng-utils-4.1.107-4.11.8
    • libstorage-ng-utils-debuginfo-4.1.107-4.11.8
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.107-4.11.8
    • libstorage-ng-debugsource-4.1.107-4.11.8
    • libstorage-ng-devel-4.1.107-4.11.8
    • libstorage-ng-ruby-4.1.107-4.11.8
    • libstorage-ng-ruby-debuginfo-4.1.107-4.11.8
    • libstorage-ng1-4.1.107-4.11.8
    • libstorage-ng1-debuginfo-4.1.107-4.11.8
    • yast2-storage-ng-4.1.91-3.19.15
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (noarch):
    • libstorage-ng-lang-4.1.107-4.11.8
    • yast2-nfs-client-4.1.8-3.7.7
  • SUSE Linux Enterprise Installer 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-ruby-4.1.107-4.11.8
    • libstorage-ng1-4.1.107-4.11.8
    • libstorage-ng1-debuginfo-4.1.107-4.11.8
    • yast2-storage-ng-4.1.91-3.19.15

References: